MsWksGraphInternal::SubDocument Class Reference documentation

MsWksGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a MsWksGraph. More...

Inheritance diagram for MsWksGraphInternal::SubDocument:

## Public Types
enum | Type { RBILZone , Chart , Empty , Group , Table , TextBox , TextBoxv4 }

## Public Member Functions
| SubDocument (MsWksGraph &pars, MWAWInputStreamPtr const &input, Type type, int zoneId)
| SubDocument (MsWksGraph &pars, MWAWInputStreamPtr const &input, Type type, MWAWEntry const &entry, std::string const &frame=std::string(""))
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
MsWksGraph * | m_graphParser
| the graph parser
Type | m_type
| the type
int | m_id
| the subdocument id
std::string | m_frame
| the frame name: for textv4
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a MsWksGraph.

## Member Enumeration Documentation

## ◆ Type

enum MsWksGraphInternal::SubDocument::Type

Enumerator
RBILZone |
Chart |
Empty |
Group |
Table |
TextBox |
TextBoxv4 |

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

MsWksGraphInternal::SubDocument::SubDocument | ( | MsWksGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | int | zoneId )
| inline

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ SubDocument() [2/3]

MsWksGraphInternal::SubDocument::SubDocument | ( | MsWksGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | MWAWEntry const & | entry,
|  | std::string const & | frame = std::string("") )
| inline

## ◆ ~SubDocument()

MsWksGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

MsWksGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool MsWksGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & MsWksGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void MsWksGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_frame

std::string MsWksGraphInternal::SubDocument::m_frame
| protected

the frame name: for textv4

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_graphParser

MsWksGraph* MsWksGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_id

int MsWksGraphInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_type

Type MsWksGraphInternal::SubDocument::m_type
| protected

the type

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- MsWksGraph.cxx